Bug 80201 - FILESAVE: Not responding when saving to docx format
Summary: FILESAVE: Not responding when saving to docx format
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: Other All
: high critical
Assignee: Markus Mohrhard
URL:
Whiteboard: BSA target:4.3.0 target:4.2.6
Keywords: regression
Depends on:
Blocks:
 
Reported: 2014-06-18 20:13 UTC by Phillip Nunes
Modified: 2015-04-24 13:32 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
File in format .odt with picture inside (12.08 KB, application/vnd.oasis.opendocument.text)
2014-06-18 20:13 UTC, Phillip Nunes
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Phillip Nunes 2014-06-18 20:13:09 UTC
Created attachment 101320 [details]
File in format .odt with picture inside

Problem description: 
I can not save a document to the format .docx with image in .odt attached.

1 - Click "File" and then "Save As" and select one of two options for saving to .docx.

I do not know what's special about this picture.

Current behavior:
The file is not saved and the LibreOffice process will stop responding.

Expected behavior:
Save the file to the .docx format.
              
Operating System: Windows 7
Version: 4.2.4.2 release
Comment 1 ign_christian 2014-06-19 03:29:17 UTC
Not reproducible under 4.0.6.2 - Win7 x86, no freeze/crash
Comment 2 Yousuf Philips (jay) (retired) 2014-06-19 19:14:20 UTC
Confirmed in Windows 7 with LibO 4.2.4 and 4.2.6 (2014-06-14). This is a regression as it doesnt happen in 4.1.6. It doesnt happen in 4.3 beta 2, which makes me think that it was fixed in master and the fix wasnt ported back to 4.2.
Comment 3 Joel Madero 2014-06-21 17:53:34 UTC
Removing the MAB and bibisect request, reason:

We have a single test case, it is fixed in 4.3 - if this is a more widespread problem that you can provide reproducible steps that many users will see the freeze please add those steps. Else this bug should be in WFM status.

As for MAB - MAB should not contain bugs that are already resolved in later releases. If this is a widespread problem beyond this single document/graphic then we just need to find the commit and poke the developer
Comment 4 Yousuf Philips (jay) (retired) 2014-06-21 18:19:28 UTC
Confirmed on Linux as well. I attempted to reproduce the issue with a blank document but wasnt able to, but if i copied the gradiented square to the blank document then it would cause it to hang, so i'm assuming some feature of the square is causing the freeze, and it wasnt apparent to me when i was testing various square properties.
Comment 5 Michael Stahl (CIB) 2014-07-10 19:38:00 UTC
was fixed by:

commit 86b9f03c3f754f7b753893ff2772f6b17bf3de3c
Author:     Markus Mohrhard <markus.mohrhard@googlemail.com>
AuthorDate: Sun Dec 8 00:05:59 2013 +0100

    fix infinite loop during export
Comment 6 Michael Stahl (CIB) 2014-07-10 19:40:46 UTC
probably regression from:

commit 6c5557c60f97778fd732c01f054553356ce7f258
Author:     Jacobo Aragunde Pérez <jaragunde@igalia.com>
AuthorDate: Fri Oct 25 09:22:22 2013 +0200

    fdo#70838: Fix position issue when exporting shapes to docx.
Comment 7 Commit Notification 2014-07-10 19:46:03 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=11d6ae6df8dfff1db182ac455d4abcaf7c18ded1&h=libreoffice-4-2

fdo#80201: msfilter: fix infinite loop during export


It will be available in LibreOffice 4.2.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2014-07-11 10:24:15 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-2-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=52772b80988952d176fa57075e674df06356d43d&h=libreoffice-4-2-6

fdo#80201: msfilter: fix infinite loop during export


It will be available already in LibreOffice 4.2.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.